GNU bug report logs - #31367
ERROR: In procedure scm-error: no code for module (guix build utils)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guile; Severity: serious; Reported by: George myglc2 Clemmer <myglc2@HIDDEN>; Keywords: unreproducible; merged with #27476, #27652, #28144, #31294, #31740, #32385, #34112, #34319; dated Sat, 5 May 2018 00:18:01 UTC; Maintainer for guile is bug-guile@HIDDEN.
bug reassigned from package 'guix' to 'guile'. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 27476 27652 28144 31294 31367 31740 32385 34112 34319. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'serious' from 'important' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 31367 <at> debbugs.gnu.org:


Received: (at 31367) by debbugs.gnu.org; 14 Dec 2018 01:32:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 13 20:32:15 2018
Received: from localhost ([127.0.0.1]:47115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gXcKt-0001c5-JL
	for submit <at> debbugs.gnu.org; Thu, 13 Dec 2018 20:32:15 -0500
Received: from mail-qk1-f177.google.com ([209.85.222.177]:46334)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <myglc2@HIDDEN>) id 1gXcKr-0001bn-Ow
 for 31367 <at> debbugs.gnu.org; Thu, 13 Dec 2018 20:32:14 -0500
Received: by mail-qk1-f177.google.com with SMTP id q1so2361350qkf.13
 for <31367 <at> debbugs.gnu.org>; Thu, 13 Dec 2018 17:32:13 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=+dDtRW+seIo58FPaUS68Tfhv5kUk54BGgIliJKnbHKs=;
 b=ELTFUUy2MqHXXYhvvWJ6KMduejNzTdS3g19rUDKcjlnh3oyvHcq6EW/Y6MNLOPNTND
 0/QpJIjavDYIj43SdJ0QN70Nectaf40QTwGSWo69seM2gpHRHFhm5jy2pCw89p6eVB1t
 mplBmCHO9sQP4mqdd02OxEhCSuUh5X5tpqKOgonc9KDbYB9tRgSRQkDDLF9LBiEWhLio
 rw5TK1BIiRTVktxg8h1XoT3A/mYvtmx3EGF0XoSsVRIvcPUhhAJor47aijvvO4nkYPEU
 TJ0scVhJIS8oHjosrgMnUsi/0nnMGwXl86gev7i7I/yVmoFPfrUUsUgA9fzIowy/HQ9s
 4L+Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:cc:subject:date
 :message-id:mime-version:content-transfer-encoding;
 bh=+dDtRW+seIo58FPaUS68Tfhv5kUk54BGgIliJKnbHKs=;
 b=Mb9SnABpDEFwDLSeqJykdiVwVRF8siAx9uSVHsbfF3B9ALaLZfYZtdvSgfcNFiq1Hw
 tw9QEzTFduMruuKi0WpMTkAqY4952rT4WFM1qKP3bm8b3eV77CBoXsIddFcfUMEUa9+G
 JTohwiOU5UuR2/QwAe6stHU2mGAwBjdqBLwUCi2WsUzDVbc77zpC/IZaE395T1ZkL094
 QVgr2xXwsYtAz85pKHhmy5AuezyQDHg+zMzLT4n2UZeShNwL5Aj6vW1OJESGB+2GuuXJ
 g0aidAYY7csSNb2rjb04c4Ip06XDmg30ehkrfzcbVNi2Mplvgi8p4x5dtiua8SJfmEQa
 0GMQ==
X-Gm-Message-State: AA+aEWbjxYS3pV2uctIo/Q/XWEqHQhkhW2pGGfsNsjApaHC7dXitUIpe
 wzAYAegegZwc6JK8WX+c2564mpZ5
X-Google-Smtp-Source: AFSGD/XgOip3y7X5oxkH9PZyvidWHC/yhmauuY+S4hlt2w8GfN7RiGOmTRitfOZv1pN2N9OU/Pr1+Q==
X-Received: by 2002:a37:5d3:: with SMTP id 202mr975088qkf.6.1544751127817;
 Thu, 13 Dec 2018 17:32:07 -0800 (PST)
Received: from g1 (c-73-167-118-254.hsd1.ma.comcast.net. [73.167.118.254])
 by smtp.gmail.com with ESMTPSA id p42sm1990683qte.8.2018.12.13.17.32.06
 for <31367 <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 13 Dec 2018 17:32:07 -0800 (PST)
References: <87r2mrdkhu.fsf@HIDDEN> <87y3gwn70q.fsf@HIDDEN>
 <87r2m0gk3b.fsf@HIDDEN> <87k1rs3vcm.fsf@HIDDEN> <cucpnu4gaxm.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 26.1
From: George Clemmer <myglc2@HIDDEN>
Subject: Re: bug#31367: ERROR: In procedure scm-error: no code for module
 (guix build utils)
Date: Thu, 13 Dec 2018 20:32:06 -0500
Message-ID: <cucwoocopux.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  ludo@HIDDEN (Ludovic Courtès) writes: > Roel Janssen skribis:
    > >> Ludovic Courtès writes: >> >>> George myglc2 Clemmer skribis: >>> >>>>
    cd guix && guix environment guix -- make >>>> The following derivations will
    be built: >>>> / [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (myglc2[at]gmail.com)
  1.2 MISSING_HEADERS        Missing To: header
  0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
                             in digit (myglc2[at]gmail.com)
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/,
                             no trust
                             [209.85.222.177 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 31367
Cc: 31367 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.5 (/)


ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> Roel Janssen <roel@HIDDEN> skribis:
>
>> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>>
>>> George myglc2 Clemmer <myglc2@HIDDEN> skribis:
>>>
>>>> cd guix && guix environment guix -- make
>>>> The following derivations will be built:
>>>>    /gnu/store/mcfys0glgv1hnq5mrcs9xnmn4bpzr3ys-profile.drv
>>>>    /gnu/store/qikmbskc6598vld2lhb2pn30h1rwxgc8-xdg-mime-database.drv
>>>>    /gnu/store/izxixb30i4r79gahirb4nj5ay0z8nzv1-info-dir.drv
>>>>    /gnu/store/bdg4x3925r9l3458li48hp1i26shd7yw-manual-database.drv
>>>> Backtrace:
>>>>           10 (primitive-load "/gnu/store/611mdvnasj59v5j46g8mhq7aw0g?")
>>>> In ice-9/eval.scm:
>>>>    721:20  9 (primitive-eval (begin (use-modules (guix build #) ?) ?))
>>>> In ice-9/psyntax.scm:
>>>>   1235:36  8 (expand-top-sequence ((begin (use-modules (# # ?) ?) ?)) =
?)
>>>>   1182:24  7 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>>>>   1182:24  6 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>>>>    285:10  5 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) =
?)
>>>> In ice-9/boot-9.scm:
>>>>   3365:20  4 (process-use-modules _)
>>>>    222:17  3 (map1 (((guix build utils)) ((srfi srfi-1)) ((srfi ?)) ?))
>>>>   3366:31  2 (_ ((guix build utils)))
>>>>    2791:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _ ?)
>>>> In unknown file:
>>>>            0 (scm-error misc-error #f "~A ~S" ("no code for modu?" ?) =
?)
>>>>
>>>> ERROR: In procedure scm-error:
>>>> no code for module (guix build utils)
>>>> Creating manual page database...
>>>> builder for `/gnu/store/izxixb30i4r79gahirb4nj5ay0z8nzv1-info-dir.drv'=
 failed with exit code 1
>>>
>>> I=E2=80=99m merging it with <https://bugs.gnu.org/28144>.  No fix yet b=
ut we=E2=80=99re
>>> working on it.  In the meantime, =E2=80=98guix pull=E2=80=99 may allow =
you to work
>>> around it.
>>
>> I'm using a git checkout of Guix, and I am encountering this bug with
>> version 217af8ae7.  Is there a work-around?
>
> In essence you need to recompile guix/profiles.go.
>
> If you=E2=80=99re in a checkout that=E2=80=99s easy, otherwise you may ha=
ve to re-run
> =E2=80=98guix pull=E2=80=99, which isn=E2=80=99t great.
>
> Ludo=E2=80=99.

Hi Ludo=E2=80=99,

I continue to hit this error sporadically.  Most recently today using
guix (GNU Guix) 0.16.0.131-ce3fe and guile (GNU Guile) 2.2.4. The above
mentioned workaround does seem to "work". At the moment, I have several
examples of the error in my store. Please advise if it would helpful to
provide these and, if so , what you want to see.

TIA, George




Information forwarded to bug-guix@HIDDEN:
bug#31367; Package guix. Full text available.
Merged 28144 31294 31367 32385. Request was from Chris Marusich <cmmarusich@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 31367 <at> debbugs.gnu.org:


Received: (at 31367) by debbugs.gnu.org; 25 May 2018 12:22:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 25 08:22:58 2018
Received: from localhost ([127.0.0.1]:47573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fMBkH-00036D-OU
	for submit <at> debbugs.gnu.org; Fri, 25 May 2018 08:22:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52356)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <roel@HIDDEN>) id 1fMBkF-00035z-OD
 for 31367 <at> debbugs.gnu.org; Fri, 25 May 2018 08:22:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <roel@HIDDEN>) id 1fMBk7-00017i-C3
 for 31367 <at> debbugs.gnu.org; Fri, 25 May 2018 08:22:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39815)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <roel@HIDDEN>)
 id 1fMBjw-00012e-B5; Fri, 25 May 2018 08:22:36 -0400
Received: from ip-80-113-14-101.ip.prioritytelecom.net ([80.113.14.101]:11978
 helo=yellowstone)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <roel@HIDDEN>)
 id 1fMBjv-0005Zx-QN; Fri, 25 May 2018 08:22:36 -0400
References: <87r2mrdkhu.fsf@HIDDEN> <87y3gwn70q.fsf@HIDDEN>
 <87r2m0gk3b.fsf@HIDDEN> <87k1rs3vcm.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 25.3.1
From: Roel Janssen <roel@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#31367: ERROR: In procedure scm-error: no code for module
 (guix build utils)
In-reply-to: <87k1rs3vcm.fsf@HIDDEN>
Date: Fri, 25 May 2018 14:22:29 +0200
Message-ID: <87o9h3hqm2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31367
Cc: George myglc2 Clemmer <myglc2@HIDDEN>, 31367 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)


Ludovic Courtès <ludo@HIDDEN> writes:

> Roel Janssen <roel@HIDDEN> skribis:
>
>> Ludovic Courtès <ludo@HIDDEN> writes:
>>
>>> George myglc2 Clemmer <myglc2@HIDDEN> skribis:
>>>
>>>> cd guix && guix environment guix -- make
>>>> The following derivations will be built:
>>>>    /gnu/store/mcfys0glgv1hnq5mrcs9xnmn4bpzr3ys-profile.drv
>>>>    /gnu/store/qikmbskc6598vld2lhb2pn30h1rwxgc8-xdg-mime-database.drv
>>>>    /gnu/store/izxixb30i4r79gahirb4nj5ay0z8nzv1-info-dir.drv
>>>>    /gnu/store/bdg4x3925r9l3458li48hp1i26shd7yw-manual-database.drv
>>>> Backtrace:
>>>>           10 (primitive-load "/gnu/store/611mdvnasj59v5j46g8mhq7aw0g?")
>>>> In ice-9/eval.scm:
>>>>    721:20  9 (primitive-eval (begin (use-modules (guix build #) ?) ?))
>>>> In ice-9/psyntax.scm:
>>>>   1235:36  8 (expand-top-sequence ((begin (use-modules (# # ?) ?) ?)) ?)
>>>>   1182:24  7 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>>>>   1182:24  6 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>>>>    285:10  5 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) ?)
>>>> In ice-9/boot-9.scm:
>>>>   3365:20  4 (process-use-modules _)
>>>>    222:17  3 (map1 (((guix build utils)) ((srfi srfi-1)) ((srfi ?)) ?))
>>>>   3366:31  2 (_ ((guix build utils)))
>>>>    2791:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _ ?)
>>>> In unknown file:
>>>>            0 (scm-error misc-error #f "~A ~S" ("no code for modu?" ?) ?)
>>>>
>>>> ERROR: In procedure scm-error:
>>>> no code for module (guix build utils)
>>>> Creating manual page database...
>>>> builder for `/gnu/store/izxixb30i4r79gahirb4nj5ay0z8nzv1-info-dir.drv' failed with exit code 1
>>>
>>> I’m merging it with <https://bugs.gnu.org/28144>.  No fix yet but we’re
>>> working on it.  In the meantime, ‘guix pull’ may allow you to work
>>> around it.
>>
>> I'm using a git checkout of Guix, and I am encountering this bug with
>> version 217af8ae7.  Is there a work-around?
>
> In essence you need to recompile guix/profiles.go.

That solved it for me.  Thanks!

Kind regards,
Roel Janssen





Information forwarded to bug-guix@HIDDEN:
bug#31367; Package guix. Full text available.

Message received at 31367 <at> debbugs.gnu.org:


Received: (at 31367) by debbugs.gnu.org; 25 May 2018 10:04:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 25 06:04:08 2018
Received: from localhost ([127.0.0.1]:47469 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fM9Zv-0004C2-T2
	for submit <at> debbugs.gnu.org; Fri, 25 May 2018 06:04:08 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fM9Zs-0004BX-Ew
 for 31367 <at> debbugs.gnu.org; Fri, 25 May 2018 06:04:05 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1fM9Zk-0006EY-Bn
 for 31367 <at> debbugs.gnu.org; Fri, 25 May 2018 06:03:59 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58418)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1fM9Zk-0006EU-9A; Fri, 25 May 2018 06:03:56 -0400
Received: from [193.50.110.236] (port=38494 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1fM9Zj-0006yk-96; Fri, 25 May 2018 06:03:55 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Roel Janssen <roel@HIDDEN>
Subject: Re: bug#31367: ERROR: In procedure scm-error: no code for module
 (guix build utils)
References: <87r2mrdkhu.fsf@HIDDEN> <87y3gwn70q.fsf@HIDDEN>
 <87r2m0gk3b.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 6 Prairial an 226 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 25 May 2018 12:03:53 +0200
In-Reply-To: <87r2m0gk3b.fsf@HIDDEN> (Roel Janssen's message of "Fri, 25 May
 2018 11:28:40 +0200")
Message-ID: <87k1rs3vcm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31367
Cc: George myglc2 Clemmer <myglc2@HIDDEN>, 31367 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Roel Janssen <roel@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> George myglc2 Clemmer <myglc2@HIDDEN> skribis:
>>
>>> cd guix && guix environment guix -- make
>>> The following derivations will be built:
>>>    /gnu/store/mcfys0glgv1hnq5mrcs9xnmn4bpzr3ys-profile.drv
>>>    /gnu/store/qikmbskc6598vld2lhb2pn30h1rwxgc8-xdg-mime-database.drv
>>>    /gnu/store/izxixb30i4r79gahirb4nj5ay0z8nzv1-info-dir.drv
>>>    /gnu/store/bdg4x3925r9l3458li48hp1i26shd7yw-manual-database.drv
>>> Backtrace:
>>>           10 (primitive-load "/gnu/store/611mdvnasj59v5j46g8mhq7aw0g?")
>>> In ice-9/eval.scm:
>>>    721:20  9 (primitive-eval (begin (use-modules (guix build #) ?) ?))
>>> In ice-9/psyntax.scm:
>>>   1235:36  8 (expand-top-sequence ((begin (use-modules (# # ?) ?) ?)) ?)
>>>   1182:24  7 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>>>   1182:24  6 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>>>    285:10  5 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) ?)
>>> In ice-9/boot-9.scm:
>>>   3365:20  4 (process-use-modules _)
>>>    222:17  3 (map1 (((guix build utils)) ((srfi srfi-1)) ((srfi ?)) ?))
>>>   3366:31  2 (_ ((guix build utils)))
>>>    2791:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _ ?)
>>> In unknown file:
>>>            0 (scm-error misc-error #f "~A ~S" ("no code for modu?" ?) ?)
>>>
>>> ERROR: In procedure scm-error:
>>> no code for module (guix build utils)
>>> Creating manual page database...
>>> builder for `/gnu/store/izxixb30i4r79gahirb4nj5ay0z8nzv1-info-dir.drv' =
failed with exit code 1
>>
>> I=E2=80=99m merging it with <https://bugs.gnu.org/28144>.  No fix yet bu=
t we=E2=80=99re
>> working on it.  In the meantime, =E2=80=98guix pull=E2=80=99 may allow y=
ou to work
>> around it.
>
> I'm using a git checkout of Guix, and I am encountering this bug with
> version 217af8ae7.  Is there a work-around?

In essence you need to recompile guix/profiles.go.

If you=E2=80=99re in a checkout that=E2=80=99s easy, otherwise you may have=
 to re-run
=E2=80=98guix pull=E2=80=99, which isn=E2=80=99t great.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#31367; Package guix. Full text available.

Message received at 31367 <at> debbugs.gnu.org:


Received: (at 31367) by debbugs.gnu.org; 25 May 2018 10:01:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 25 06:01:59 2018
Received: from localhost ([127.0.0.1]:47464 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fM9Xr-00048f-E5
	for submit <at> debbugs.gnu.org; Fri, 25 May 2018 06:01:59 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40429)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <roel@HIDDEN>) id 1fM9Xp-00048R-4l
 for 31367 <at> debbugs.gnu.org; Fri, 25 May 2018 06:01:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <roel@HIDDEN>) id 1fM9Xj-00050B-6W
 for 31367 <at> debbugs.gnu.org; Fri, 25 May 2018 06:01:51 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58279)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <roel@HIDDEN>)
 id 1fM9Xe-0004xx-RR; Fri, 25 May 2018 06:01:46 -0400
Received: from ip-80-113-14-101.ip.prioritytelecom.net ([80.113.14.101]:6583
 helo=yellowstone)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <roel@HIDDEN>)
 id 1fM9Xd-0005VV-Iq; Fri, 25 May 2018 06:01:46 -0400
References: <87r2mrdkhu.fsf@HIDDEN> <87y3gwn70q.fsf@HIDDEN>
 <87r2m0gk3b.fsf@HIDDEN> <878t88awjo.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 25.3.1
From: Roel Janssen <roel@HIDDEN>
To: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
Subject: Re: bug#31367: ERROR: In procedure scm-error: no code for module
 (guix build utils)
In-reply-to: <878t88awjo.fsf@HIDDEN>
Date: Fri, 25 May 2018 12:01:42 +0200
Message-ID: <87po1kgik9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31367
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 George myglc2 Clemmer <myglc2@HIDDEN>, 31367 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)


Ricardo Wurmus <ricardo.wurmus@HIDDEN> writes:

> Roel Janssen <roel@HIDDEN> writes:
>
>> I'm using a git checkout of Guix, and I am encountering this bug with
>> version 217af8ae7.  Is there a work-around?
>
> Does it happen all the time?

Yes.  Consistently on multiple user profiles.

>
> A work-around, as I understood it, is to ensure that you ensure that the
> compilation only uses a single core.

Can I build a profile derivation using a single core from the
command-line?

Kind regards,
Roel Janssen




Information forwarded to bug-guix@HIDDEN:
bug#31367; Package guix. Full text available.

Message received at 31367 <at> debbugs.gnu.org:


Received: (at 31367) by debbugs.gnu.org; 25 May 2018 09:56:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 25 05:56:26 2018
Received: from localhost ([127.0.0.1]:47455 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fM9SU-0003za-IY
	for submit <at> debbugs.gnu.org; Fri, 25 May 2018 05:56:26 -0400
Received: from venus.bbbm.mdc-berlin.de ([141.80.25.30]:58488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <Ricardo.Wurmus@HIDDEN>) id 1fM9SS-0003zR-5i
 for 31367 <at> debbugs.gnu.org; Fri, 25 May 2018 05:56:24 -0400
Received: from localhost (localhost [127.0.0.1])
 by venus.bbbm.mdc-berlin.de (Postfix) with ESMTP id B7E4B380C13;
 Fri, 25 May 2018 11:56:22 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=mdc-berlin.de; h=
 content-type:content-type:mime-version:message-id:date:date
 :in-reply-to:subject:subject:from:from:user-agent:references
 :received:received:received:received; s=mdc; t=1527242182; x=
 1529056583; bh=cPuS4FcSTGFLAW5PTOK0dH0wvSeHu85UD70A0jYkrrk=; b=j
 pgt1+MzPGE/omDjYylDqj1rzUw4CZorTmlm5mATVqn6ZY+73lxkyx7MHFiOnMxvY
 cb/BSC4BI4IxWEIQDWuBGXKza65Eq4qvmZAnYP/Uevzlbbgp9yLm9rEkvPDSko0Z
 a1Bx5Xoqb1yyP3U1Nztjo9kWt9yywnGSTcyAU1Kqbo=
X-Virus-Scanned: amavisd-new at mdc-berlin.de
Received: from venus.bbbm.mdc-berlin.de ([127.0.0.1])
 by localhost (venus.bbbm.mdc-berlin.de [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id Xy3VR2H0Yla2; Fri, 25 May 2018 11:56:22 +0200 (CEST)
Received: from HTCAONE.mdc-berlin.net (puck.citx.mdc-berlin.de [141.80.36.101])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (No client certificate requested)
 by venus.bbbm.mdc-berlin.de (Postfix) with ESMTPS;
 Fri, 25 May 2018 11:56:22 +0200 (CEST)
Received: from SW-IT-P-CAS4.mdc-berlin.net (141.80.113.59) by
 HTCAONE.mdc-berlin.net (141.80.180.120) with Microsoft SMTP Server (TLS) id
 14.3.399.0; Fri, 25 May 2018 11:56:21 +0200
Received: from localhost (141.80.113.51) by SW-IT-P-CAS4.mdc-berlin.net
 (141.80.113.59) with Microsoft SMTP Server id 14.3.399.0; Fri, 25 May 2018
 11:56:21 +0200
References: <87r2mrdkhu.fsf@HIDDEN> <87y3gwn70q.fsf@HIDDEN>
 <87r2m0gk3b.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 25.3.1
From: Ricardo Wurmus <ricardo.wurmus@HIDDEN>
To: Roel Janssen <roel@HIDDEN>
Subject: Re: bug#31367: ERROR: In procedure scm-error: no code for module
 (guix build utils)
In-Reply-To: <87r2m0gk3b.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Fri, 25 May 2018 11:56:11 +0200
Message-ID: <878t88awjo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Originating-IP: [141.80.113.51]
X-TM-AS-Product-Ver: SMEX-12.5.0.1300-8.2.1013-23866.006
X-TM-AS-Result: No-2.738700-8.000000-10
X-TMASE-MatchedRID: lORh06tOiKhw76iuU1maphxQCXaqsX3JC/ExpXrHizxrOUO7v+CmfT8q
 tc3Zp2f4V1GJ6JhJGlRhjPrPq/NtU4coPy7Xk6in3yS8sdrNSy59LQinZ4QefOYQ3zcXToXr+gt
 Hj7OwNO33FLeZXNZS4CiM3WUt6LtFPv1vNJjEW9efVJckkru8dsY+6B2nUWZXARaaTNppGL4cfG
 E10c80n4UClceenb+rx7ywPUAZmkdB0tdB8mswXycLR5bWeZVtlExlQIQeRG0=
X-TM-AS-User-Approved-Sender: Yes
X-TM-AS-User-Blocked-Sender: No
X-TMASE-Result: 10--2.738700-8.000000
X-TMASE-Version: SMEX-12.5.0.1300-8.2.1013-23866.006
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31367
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>,
 George myglc2 Clemmer <myglc2@HIDDEN>, 31367 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)


Roel Janssen <roel@HIDDEN> writes:

> I'm using a git checkout of Guix, and I am encountering this bug with
> version 217af8ae7.  Is there a work-around?

Does it happen all the time?

A work-around, as I understood it, is to ensure that you ensure that the
compilation only uses a single core.

--
Ricardo




Information forwarded to bug-guix@HIDDEN:
bug#31367; Package guix. Full text available.

Message received at 31367 <at> debbugs.gnu.org:


Received: (at 31367) by debbugs.gnu.org; 25 May 2018 09:29:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 25 05:28:59 2018
Received: from localhost ([127.0.0.1]:47429 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fM91v-0003Mm-O2
	for submit <at> debbugs.gnu.org; Fri, 25 May 2018 05:28:59 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33009)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <roel@HIDDEN>) id 1fM91u-0003Mb-Vr
 for 31367 <at> debbugs.gnu.org; Fri, 25 May 2018 05:28:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <roel@HIDDEN>) id 1fM91o-0003Vi-QI
 for 31367 <at> debbugs.gnu.org; Fri, 25 May 2018 05:28:53 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:56109)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <roel@HIDDEN>)
 id 1fM91k-0003TC-26; Fri, 25 May 2018 05:28:48 -0400
Received: from ip-80-113-14-101.ip.prioritytelecom.net ([80.113.14.101]:2324
 helo=yellowstone)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <roel@HIDDEN>)
 id 1fM91i-00034n-O1; Fri, 25 May 2018 05:28:47 -0400
References: <87r2mrdkhu.fsf@HIDDEN> <87y3gwn70q.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 25.3.1
From: Roel Janssen <roel@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#31367: ERROR: In procedure scm-error: no code for module
 (guix build utils)
In-reply-to: <87y3gwn70q.fsf@HIDDEN>
Date: Fri, 25 May 2018 11:28:40 +0200
Message-ID: <87r2m0gk3b.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 31367
Cc: George myglc2 Clemmer <myglc2@HIDDEN>, 31367 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)


Ludovic Courtès <ludo@HIDDEN> writes:

> George myglc2 Clemmer <myglc2@HIDDEN> skribis:
>
>> cd guix && guix environment guix -- make
>> The following derivations will be built:
>>    /gnu/store/mcfys0glgv1hnq5mrcs9xnmn4bpzr3ys-profile.drv
>>    /gnu/store/qikmbskc6598vld2lhb2pn30h1rwxgc8-xdg-mime-database.drv
>>    /gnu/store/izxixb30i4r79gahirb4nj5ay0z8nzv1-info-dir.drv
>>    /gnu/store/bdg4x3925r9l3458li48hp1i26shd7yw-manual-database.drv
>> Backtrace:
>>           10 (primitive-load "/gnu/store/611mdvnasj59v5j46g8mhq7aw0g?")
>> In ice-9/eval.scm:
>>    721:20  9 (primitive-eval (begin (use-modules (guix build #) ?) ?))
>> In ice-9/psyntax.scm:
>>   1235:36  8 (expand-top-sequence ((begin (use-modules (# # ?) ?) ?)) ?)
>>   1182:24  7 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>>   1182:24  6 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>>    285:10  5 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) ?)
>> In ice-9/boot-9.scm:
>>   3365:20  4 (process-use-modules _)
>>    222:17  3 (map1 (((guix build utils)) ((srfi srfi-1)) ((srfi ?)) ?))
>>   3366:31  2 (_ ((guix build utils)))
>>    2791:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _ ?)
>> In unknown file:
>>            0 (scm-error misc-error #f "~A ~S" ("no code for modu?" ?) ?)
>>
>> ERROR: In procedure scm-error:
>> no code for module (guix build utils)
>> Creating manual page database...
>> builder for `/gnu/store/izxixb30i4r79gahirb4nj5ay0z8nzv1-info-dir.drv' failed with exit code 1
>
> I’m merging it with <https://bugs.gnu.org/28144>.  No fix yet but we’re
> working on it.  In the meantime, ‘guix pull’ may allow you to work
> around it.

I'm using a git checkout of Guix, and I am encountering this bug with
version 217af8ae7.  Is there a work-around?

Kind regards,
Roel Janssen




Information forwarded to bug-guix@HIDDEN:
bug#31367; Package guix. Full text available.

Message received at 31367 <at> debbugs.gnu.org:


Received: (at 31367) by debbugs.gnu.org; 6 May 2018 18:13:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 06 14:13:53 2018
Received: from localhost ([127.0.0.1]:51620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fFOAS-0002TL-Up
	for submit <at> debbugs.gnu.org; Sun, 06 May 2018 14:13:53 -0400
Received: from mail-qk0-f178.google.com ([209.85.220.178]:42570)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <myglc2@HIDDEN>) id 1fFOAR-0002T7-2V
 for 31367 <at> debbugs.gnu.org; Sun, 06 May 2018 14:13:51 -0400
Received: by mail-qk0-f178.google.com with SMTP id j10so20270744qke.9
 for <31367 <at> debbugs.gnu.org>; Sun, 06 May 2018 11:13:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version:content-transfer-encoding;
 bh=+XyW68Fb5bu4+FxXxEbm2pk6pkxIux6rvoY9gJOEA+g=;
 b=toz6YpV9MU1AtHGBmfszVKYQlQF4zrNruJsj3D4rFwyhOrzSXc4u/uMIFwuS6AVg6H
 amq5pgi5NQ8Vo3ufD/oYMHwWvv4gY+fEtuNV4+0TNQFGrEq4FzPrGqByGe6kkgR2xt9F
 zPd3X7JdQ2hM23BH3wMOg3Ayt+umByH9WsSf101V8/EkuKkDRtj4tX2rzP65DafWXohQ
 kn50zBgfdpl0hIRPAD8OZLcA7M/mp6HVr3HuaVsTYPR6d74TRjkYjx62jsJpgvDFpL3e
 0E8zBaQXtCZ35VhYESpU0wS55w8Lu+pvhDtVaxAeLAgz9++Sk++x48SVulLsxH8fGxh5
 XCMQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version:content-transfer-encoding;
 bh=+XyW68Fb5bu4+FxXxEbm2pk6pkxIux6rvoY9gJOEA+g=;
 b=Rpksmq65o2ldNcd0aBwb7zxmnv+89UFHCWc55YvdxAMRvy1JPDG3CG8ob5pnZGCllh
 QDd2gHeGCzB6dj/0S4qUIWswiiGBOIzg18DDvw1Qk8FpYmFtr6Dw11FxbNpIVxnDrfC9
 FzCmAMcWakIQgp4y1eQP3E748aTyEyo5kloeMX5D8gjYZQVPd6NvMyl0uitb4CvASvq/
 8pPzu9C3GAlK4GjHfYQnKGS1Vima8B3c5xwvViqTq3AMsthqZxEg4BT0LWA2lEqiijiX
 sVnyAjuZKJEBE3UArVm2kdzvphD3rkxXzjngFE5CyKn+axQ88xd3GL/nKHrSB9gC9ZyH
 4kdg==
X-Gm-Message-State: ALQs6tCriPeq+Czwk9hoDZCpodl5cvON1W+qlVZy7+yPZ+SrhW6Cy/68
 y6AYQjHMYvsH/OdBS/MIbNbY1g==
X-Google-Smtp-Source: AB8JxZpTcKgEGupL8ogXZzN8WY6fJ80a8Z0sqThCF4YSqWnpoYGfUiUbENfnOxiYJKNtk6jCxhAUHA==
X-Received: by 10.55.31.69 with SMTP id f66mr28195643qkf.440.1525630425398;
 Sun, 06 May 2018 11:13:45 -0700 (PDT)
Received: from g1 (c-73-167-118-254.hsd1.ma.comcast.net. [73.167.118.254])
 by smtp.gmail.com with ESMTPSA id d190sm13571632qka.24.2018.05.06.11.13.43
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 06 May 2018 11:13:44 -0700 (PDT)
References: <87r2mrdkhu.fsf@HIDDEN> <87y3gwn70q.fsf@HIDDEN>
User-agent: mu4e 1.0; emacs 25.3.1
From: George Clemmer <myglc2@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#31367: ERROR: In procedure scm-error: no code for module
 (guix build utils)
In-reply-to: <87y3gwn70q.fsf@HIDDEN>
Date: Sun, 06 May 2018 14:13:43 -0400
Message-ID: <87bmdsabzc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 31367
Cc: 31367 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Hi Ludo’,

Ludovic Courtès writes:

> I’m merging it with <https://bugs.gnu.org/28144>.  No fix yet but we’re
> working on it.  In the meantime, ‘guix pull’ may allow you to work
> around it.

Thanks for the update. No rush, I have a workaround ;-)




Information forwarded to bug-guix@HIDDEN:
bug#31367; Package guix. Full text available.
Merged 28144 31294 31367. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Added tag(s) unreproducible. Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.
Severity set to 'important' from 'normal' Request was from ludo@HIDDEN (Ludovic Courtès) to control <at> debbugs.gnu.org. Full text available.

Message received at 31367 <at> debbugs.gnu.org:


Received: (at 31367) by debbugs.gnu.org; 6 May 2018 15:22:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 06 11:22:35 2018
Received: from localhost ([127.0.0.1]:51542 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fFLUg-0000yE-T2
	for submit <at> debbugs.gnu.org; Sun, 06 May 2018 11:22:35 -0400
Received: from hera.aquilenet.fr ([185.233.100.1]:36304)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1fFLUe-0000y5-UV
 for 31367 <at> debbugs.gnu.org; Sun, 06 May 2018 11:22:33 -0400
Received: from localhost (localhost [127.0.0.1])
 by hera.aquilenet.fr (Postfix) with ESMTP id E488F2E312;
 Sun,  6 May 2018 17:22:31 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at aquilenet.fr
Received: from hera.aquilenet.fr ([127.0.0.1])
 by localhost (hera.aquilenet.fr [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id zQ5zLYORTT3d; Sun,  6 May 2018 17:22:31 +0200 (CEST)
Received: from ribbon (unknown [IPv6:2a01:e0a:1d:7270:af76:b9b:ca24:c465])
 by hera.aquilenet.fr (Postfix) with ESMTPSA id BF8082E307;
 Sun,  6 May 2018 17:22:30 +0200 (CEST)
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: George myglc2 Clemmer <myglc2@HIDDEN>
Subject: Re: bug#31367: ERROR: In procedure scm-error: no code for module
 (guix build utils)
References: <87r2mrdkhu.fsf@HIDDEN>
Date: Sun, 06 May 2018 17:22:29 +0200
In-Reply-To: <87r2mrdkhu.fsf@HIDDEN> (George myglc's message of "Fri, 04
 May 2018 20:17:01 -0400")
Message-ID: <87y3gwn70q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 31367
Cc: 31367 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

George myglc2 Clemmer <myglc2@HIDDEN> skribis:

> cd guix && guix environment guix -- make
> The following derivations will be built:
>    /gnu/store/mcfys0glgv1hnq5mrcs9xnmn4bpzr3ys-profile.drv
>    /gnu/store/qikmbskc6598vld2lhb2pn30h1rwxgc8-xdg-mime-database.drv
>    /gnu/store/izxixb30i4r79gahirb4nj5ay0z8nzv1-info-dir.drv
>    /gnu/store/bdg4x3925r9l3458li48hp1i26shd7yw-manual-database.drv
> Backtrace:
>           10 (primitive-load "/gnu/store/611mdvnasj59v5j46g8mhq7aw0g?")
> In ice-9/eval.scm:
>    721:20  9 (primitive-eval (begin (use-modules (guix build #) ?) ?))
> In ice-9/psyntax.scm:
>   1235:36  8 (expand-top-sequence ((begin (use-modules (# # ?) ?) ?)) ?)
>   1182:24  7 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>   1182:24  6 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
>    285:10  5 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) ?)
> In ice-9/boot-9.scm:
>   3365:20  4 (process-use-modules _)
>    222:17  3 (map1 (((guix build utils)) ((srfi srfi-1)) ((srfi ?)) ?))
>   3366:31  2 (_ ((guix build utils)))
>    2791:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _ ?)
> In unknown file:
>            0 (scm-error misc-error #f "~A ~S" ("no code for modu?" ?) ?)
>
> ERROR: In procedure scm-error:
> no code for module (guix build utils)
> Creating manual page database...
> builder for `/gnu/store/izxixb30i4r79gahirb4nj5ay0z8nzv1-info-dir.drv' fa=
iled with exit code 1

I=E2=80=99m merging it with <https://bugs.gnu.org/28144>.  No fix yet but w=
e=E2=80=99re
working on it.  In the meantime, =E2=80=98guix pull=E2=80=99 may allow you =
to work
around it.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#31367; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 May 2018 00:17:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 04 20:17:23 2018
Received: from localhost ([127.0.0.1]:50074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fEkt8-00024A-9n
	for submit <at> debbugs.gnu.org; Fri, 04 May 2018 20:17:23 -0400
Received: from eggs.gnu.org ([208.118.235.92]:38996)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <myglc2@HIDDEN>) id 1fEkt4-00023v-FB
 for submit <at> debbugs.gnu.org; Fri, 04 May 2018 20:17:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <myglc2@HIDDEN>) id 1fEksy-0001yA-5Q
 for submit <at> debbugs.gnu.org; Fri, 04 May 2018 20:17:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.3 required=5.0 tests=BAYES_40,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:38059)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <myglc2@HIDDEN>) id 1fEksy-0001y5-1v
 for submit <at> debbugs.gnu.org; Fri, 04 May 2018 20:17:12 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:58199)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <myglc2@HIDDEN>) id 1fEksw-0004fX-Ud
 for bug-guix@HIDDEN; Fri, 04 May 2018 20:17:11 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <myglc2@HIDDEN>) id 1fEksr-0001u5-Uq
 for bug-guix@HIDDEN; Fri, 04 May 2018 20:17:10 -0400
Received: from mail-qt0-x22c.google.com ([2607:f8b0:400d:c0d::22c]:34553)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <myglc2@HIDDEN>) id 1fEksr-0001r0-Pv
 for bug-guix@HIDDEN; Fri, 04 May 2018 20:17:05 -0400
Received: by mail-qt0-x22c.google.com with SMTP id m5-v6so29635927qti.1
 for <bug-guix@HIDDEN>; Fri, 04 May 2018 17:17:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=user-agent:from:to:subject:date:message-id:mime-version;
 bh=GRr6xbvVyYWvfAtOqTfm0VwTp13cScLpinvuyKgoJWw=;
 b=JLGtxUor6pFT7Jt/ieul+CvtelXKHuoss9bn8rSugyjwoIYoOtAp+edLGxsQsh1W3h
 2OO9HPPUrvujFgr75XsQk/cwKnEeQlgcqobDVbMwfttPKehb9lHfhEhK3TTp7vjcWNvH
 uPPtOQcKuv2zCWSeCAk6SDuzfCH4PFkI/1CPglWTE5RX8aYxtkfZ8qPaKmemXKrogpgZ
 XswblbAVYZf0g6p38KYOv6Hdvbr/3K6iGzu9vS5bLVtr3kYYgvFRNj5Ho9w0Ufi01nhy
 0HLT8lD1wpT9b4rHfNZJiPvcuM7CY54OW2ij8GPIYhoaiYMuqiKxhKIYfRhuZldUtRCN
 yNGA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:user-agent:from:to:subject:date:message-id
 :mime-version;
 bh=GRr6xbvVyYWvfAtOqTfm0VwTp13cScLpinvuyKgoJWw=;
 b=sxUDQ9vjF+/Alpi3sG+YEwceViadqPR5fleiGEUGnAm+eSImcZnzUcYfXjkxfBleke
 GXtPOL/2isY3P0i7MBT8jNoyJJ7S0D6eSgQPpx+/qUZPehlHAtGdkwaK37IX/RrtLdOZ
 naC6iV/wYFiN4xSunhiEFIf6UNtjneSuYSbdCXXHEUfLXhSDLjkGrTFMfz73stK4VV4v
 pxrbZOFlxX6fX/fzp+wem84i91EkvV69jkeaETn3ZvyrgsIikQ9/6VeIZtm+LdnKTyxI
 ZBxQFMNcF+RuQagbUhYARF67qQ4a5SOR2Ol6mP4l/p0tJzgfgf5hw3iYyzWQSIAeJ+eb
 5Q9w==
X-Gm-Message-State: ALQs6tBunulMoFnUByjuaXsLEwvoDXA+sghh7tKqS6rvSPPkn8ZH12S5
 P6ks9M7c8Bl6F5mUCrJcWorUvQ==
X-Google-Smtp-Source: AB8JxZqhV5tXiOAFyGsu7mqi0MfSkg0VMuCUumXeuASd5Pke2QhVfyezyLlOOaMfoZfx0iBQ/rR+cA==
X-Received: by 2002:a0c:e002:: with SMTP id
 j2-v6mr10065945qvk.62.1525479423452; 
 Fri, 04 May 2018 17:17:03 -0700 (PDT)
Received: from g1 (c-73-167-118-254.hsd1.ma.comcast.net. [73.167.118.254])
 by smtp.gmail.com with ESMTPSA id n29-v6sm16585687qta.94.2018.05.04.17.17.01
 for <bug-guix@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 04 May 2018 17:17:02 -0700 (PDT)
User-agent: mu4e 1.0; emacs 25.3.1
From: George myglc2 Clemmer <myglc2@HIDDEN>
To: bug-guix@HIDDEN
Subject: ERROR: In procedure scm-error: no code for module (guix build utils)
Date: Fri, 04 May 2018 20:17:01 -0400
Message-ID: <87r2mrdkhu.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.8 (----)

This just appears in the last day or so. Running guix (GNU Guix)
0.14.0.4837-d6ed4 I see ...

cd guix && guix environment guix -- make
The following derivations will be built:
   /gnu/store/mcfys0glgv1hnq5mrcs9xnmn4bpzr3ys-profile.drv
   /gnu/store/qikmbskc6598vld2lhb2pn30h1rwxgc8-xdg-mime-database.drv
   /gnu/store/izxixb30i4r79gahirb4nj5ay0z8nzv1-info-dir.drv
   /gnu/store/bdg4x3925r9l3458li48hp1i26shd7yw-manual-database.drv
Backtrace:
          10 (primitive-load "/gnu/store/611mdvnasj59v5j46g8mhq7aw0g?")
In ice-9/eval.scm:
   721:20  9 (primitive-eval (begin (use-modules (guix build #) ?) ?))
In ice-9/psyntax.scm:
  1235:36  8 (expand-top-sequence ((begin (use-modules (# # ?) ?) ?)) ?)
  1182:24  7 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
  1182:24  6 (parse _ (("placeholder" placeholder)) ((top) #(# # ?)) ?)
   285:10  5 (parse _ (("placeholder" placeholder)) (()) _ c&e (eval) ?)
In ice-9/boot-9.scm:
  3365:20  4 (process-use-modules _)
   222:17  3 (map1 (((guix build utils)) ((srfi srfi-1)) ((srfi ?)) ?))
  3366:31  2 (_ ((guix build utils)))
   2791:6  1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _ ?)
In unknown file:
           0 (scm-error misc-error #f "~A ~S" ("no code for modu?" ?) ?)

ERROR: In procedure scm-error:
no code for module (guix build utils)
Creating manual page database...
builder for `/gnu/store/izxixb30i4r79gahirb4nj5ay0z8nzv1-info-dir.drv' failed with exit code 1
cannot build derivation `/gnu/store/mcfys0glgv1hnq5mrcs9xnmn4bpzr3ys-profile.drv': 1 dependencies couldn't be built
guix environment: error: build failed: build of `/gnu/store/mcfys0glgv1hnq5mrcs9xnmn4bpzr3ys-profile.drv' failed
make: *** [Makefile:9: guix/] Error 1

FWIW, guix (GNU Guix) 0.14.0-11.ab85cf7 doesn't generate the error.

HTH - George




Acknowledgement sent to George myglc2 Clemmer <myglc2@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#31367; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 9 Feb 2019 22:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.